Subject: Re: [Patch net-next 1/2] net: fix a compile error when CONFIG_NET_LL_RX_POLL is not set

From: Eliezer Tamir <[email-masked]>
Date: Thu, 01 Aug 2013 09:54:02 +0300

On 01/08/2013 06:10, Cong Wang wrote:
> From: Cong Wang <[email-masked]>
> 
> When CONFIG_NET_LL_RX_POLL is not set, I got:
> 
> net/socket.c: In function ‘sock_poll’:
> net/socket.c:1165:4: error: implicit declaration of function ‘sk_busy_loop’ [-Werror=implicit-function-declaration]
> 
> Fix this by adding a nop when !CONFIG_NET_LL_RX_POLL.
> 

Good catch!

There is a placeholder function, but it has a typo in the name.
With all the renaming I made a mistake and called the do-nothing
function sk_busy_poll while the implemented function is called sk_busy_loop.

so what we need is to rename sk_busy_loop() into sk_busy_poll.

(sorry I'm out of the office so I can't do much more than look at the
code at the moment.)

Thanks,
Eliezer